{#
/**
 * @file
 * Default theme implementation to display a single page.
 *
 * The doctype, html, head and body tags are not in this template. Instead they
 * can be found in the html.html.twig template in this directory.
 *
 * Available variables:
 *
 * General utility variables:
 * - base_path: The base URL path of the Drupal installation. Will usually be
 *   "/" unless you have installed Drupal in a sub-directory.
 * - is_front: A flag indicating if the current page is the front page.
 * - logged_in: A flag indicating if the user is registered and signed in.
 * - is_admin: A flag indicating if the user has permission to access
 *   administration pages.
 * - footer_first_column_empty: A flag on whether the first column of the footer is empty or not
 *
 * Site identity:
 * - front_page: The URL of the front page. Use this instead of base_path when
 *   linking to the front page. This includes the language domain or prefix.
 *
 * Page content (in order of occurrence in the default page.html.twig):
 * - messages: Status and error messages. Should be displayed prominently.
 * - node: Fully loaded node, if there is an automatically-loaded node
 *   associated with the page and the node ID is the second argument in the
 *   page's path (e.g. node/12345 and node/12345/revisions, but not
 *   comment/reply/12345).
 *
 * Regions:
 * - page.header: Items for the header region.
 * - page.primary_menu: Items for the primary menu region.
 * - page.secondary_menu: Items for the secondary menu region.
 * - page.highlighted: Items for the highlighted content region.
 * - page.help: Dynamic help text, mostly for admin pages.
 * - page.content: The main content of the current page.
 * - page.sidebar_first: Items for the first sidebar.
 * - page.sidebar_second: Items for the second sidebar.
 * - page.footer: Items for the footer region.
 * - page.breadcrumb: Items for the breadcrumb region.
 *
 * @see template_preprocess_page()
 * @see html.html.twig
 *
 * @ingroup themeable
 */
#}

{# bootstrap classes : left #}
{% if page.left %}
  {% set hasleft = create_attribute() %}
  {% set hasleft = true %}
{% endif %}

{# bootstrap classes : right #}
{% if page.right %}
  {% set hasright = create_attribute() %}
  {% set hasright = true %}
{% endif %}

{% if hasleft and hasright %}
  {%
    set mainclasses = [
      'wrapper-center',
      'col-md-6',
      'col-sm-12',
      'col-xs-12',
    ]
  %}
{% endif %}
{% if hasleft and hasright %}
  {%
    set contentFooterClasses = [
      'has-columns',
      'row',
      'content-footer-row',
      'container'
    ]
  %}
{% endif %}

{% if hasleft and hasright is empty %}
  {%
    set mainclasses = [
      'wrapper-center',
      'col-md-9',
      'col-sm-12',
      'col-xs-12',
    ]
  %}
{% endif %}
{% if hasleft and hasright is empty %}
  {%
    set contentFooterClasses = [
      'has-left-column',
      'row',
      'content-footer-row',
      'container'
    ]
  %}
{% endif %}

{% if hasleft is empty and hasright %}
  {%
    set mainclasses = [
      'wrapper-center',
      'col-md-9',
      'col-sm-12',
      'col-xs-12',
    ]
  %}
{% endif %}
{% if hasleft is empty and hasright %}
  {%
    set contentFooterClasses = [
      'has-right-column',
      'row',
      'content-footer-row',
      'container'
    ]
  %}
{% endif %}

{% if hasleft is empty and hasright is empty %}
  {%
    set mainclasses = [
      'wrapper-center',
      'col-md-12',
      'col-sm-12',
      'col-xs-12',
    ]
  %}
{% endif %}
{% if hasleft is empty and hasright is empty %}
  {%
    set contentFooterClasses = [
      'has-no-column',
      'row',
      'content-footer-row',
      'container'
    ]
  %}
{% endif %}

<div class="container-fluid">
	{{ page.preheader }}
</div>

<header {{ header_attributes }} role="banner">

  <div class="header-wrapper">

		{#	Left part => name/logo/slogan	#}
    {% if site_show %}
			{#	if it has at least 2 items	#}
			{% if (site_show_name and site_new_logo) or (site_show_name and site_show_slogan) or (site_new_logo and site_show_slogan)  %}
      	<div class="site-info col-lg-3 col-md-3 col-sm-12">
			{% else %}
					<div class="site-info col-sm-3">
			{% endif %}

        {% if site_new_logo %}
					<div class="site-info__logo {% if site_show_name or site_show_slogan %}col-lg-6{% else %}col-lg-12{% endif %} {% if site_show_name or site_show_slogan %}col-md-6{% else %}col-md-12{% endif %} {% if site_show_name or site_show_slogan %}col-sm-6{% else %}col-sm-12{% endif %}">
{#          <div class="site-info__logo col-lg-3 col-md-2 col-sm-3">#}
            <a href="{{ path('<front>') }}" title="{{ 'Home'|t }}" rel="home">
              <img src="{{ site_new_logo }}" alt="home"/>
            </a>
          </div>
        {% endif %}

				{% if site_show_name or site_show_slogan %}
					<div class="site-info__text {% if site_new_logo %}col-lg-6{% else %}col-lg-12{% endif %} {% if site_new_logo %}col-md-6{% else %}col-md-12{% endif %} {% if site_new_logo %}col-sm-6{% else %}col-sm-12{% endif %}">
						{% if site_show_name %}
							<div class="site-info__text__name">
								<a href="{{ path('<front>') }}" title="{{ 'Home'|t }}" rel="home">
									{{ site_name | t }}
								</a>
							</div>
						{% endif %}

						{% if site_show_slogan %}
							<div class="site-info__text__slogan">{{ site_slogan | t  }}</div>
						{% endif %}
					</div>
				{% endif %}


      </div>

    {% endif %}

		{#	Right part => menu	#}
    {% if page.header %}

			{% if (site_show_name and site_new_logo) or (site_show_name and site_show_slogan) or (site_new_logo and site_show_slogan)  %}
					<div class="site-nav col-sm-12 col-md-9 col-lg-9 {% if site_show_search %}has-search{% endif %}">
			{% else %}
						<div class="site-nav col-sm-9 {% if site_show_search %}has-search{% endif %}">
			{% endif %}

        {{ page.header }}
      </div>
    {% endif %}

  </div>

</div>

</header>

<main role="main">
	<a id="main-content" tabindex="-1"></a>
	{% if cern_node_type == "landing_page" or cern_node_type == "story_page" or cern_node_type == "faq_page" %}
		{% set containerType = "container-fluid" %}
	{% else %}
		{% set containerType = "container" %}
	{% endif %}
	<div class="{{containerType}}">
		{% if page.left %}
			<div class="sidebar-left col-md-3 col-sm-12 col-xs-12">
				{{ page.left }}
			</div>
		{% endif %}
		<div{{ attributes.addClass(mainclasses) }}>
			{{ page.content }}
		</div>
		{% if page.right %}
			<div class="sidebar-right col-md-3 col-sm-12 col-xs-12">
				{{ page.right }}
			</div>
		{% endif %}
	</div>
	{% if page.contentfooter is not empty %}
		{% set attributescf = create_attribute() %}
		<div class="content-footer-wrapper">
			<div{{ attributescf.addclass(contentfooterclasses) }}>
				<div class="col-md-12 content-footer-container">
					{{ page.contentfooter }}
				</div>
			</div>
		</div>
	{% endif %}
</main>

<footer role="contentinfo">
<div class="row cern-footer">
	{# if the first column of the footer is empty => white line is not rendered #}
	{% if footer_first_column_empty %}
		<div class="col-xs-12 col-sm-3 col-md-3 col-lg-3">
	{% else %}
		<div class="col-xs-12 col-sm-3 col-md-3 col-lg-3 footer-first-col">
	{% endif %}
	{% if page.footercolumn1 %}
		{{ page.footercolumn1 }}
	{% endif %}
  </div>
  <div class="col-xs-12 col-sm-8 col-md-8 col-lg-8 footer-second-col">
    <div class="row">
      <!-- CONTACT US -->
      <div class="col-sm-5 col-md-4 col-md-offset-0 col-lg-4 col-lg-offset-0">
        {% if page.footercolumn2 %}
          {{ page.footercolumn2 }}
        {% endif %}
      </div>
      <!-- general info -->
      <div class="col-sm-6 col-sm-offset-1 col-md-4 col-md-offset-0 col-lg-4">
        <div class=" mb-4">
          {% if page.footercolumn3 %}
            {{ page.footercolumn3 }}
          {% endif %}
        </div>
      </div>
      <!-- cern and you -->
      <div class="col-sm-6 col-sm-offset-6 col-md-4 col-md-offset-0 col-lg-4  col-lg-offset-0">
        <div class=" mb-4">
          {% if page.footercolumn4 %}
            {{ page.footercolumn4 }}
          {% endif %}
        </div>
      </div>
    </div>
  </div>
  <div class="col-xs-1 col-sm-1 col-md-1 col-lg-1 footer-last-logo">

    {% if site_dark_logo %}
      <a href="https://home.cern/" title="CERN" target="_blank"><img src="{{ base_path ~ directory }}/logo-dark.svg" alt="CERN"/></a>
    {% else %}
      <a href="https://home.cern/" title="CERN" target="_blank"><img src="{{ base_path ~ directory }}/logo.svg" alt="CERN"/></a>
    {% endif %}

  </div>
</div>

{% if site_dark_logo %}
  <div class="copy-wrapper dark">
{% else %}
  <div class="copy-wrapper light">
{% endif %}
  <a href="https://copyright.web.cern.ch/">
    {{ 'Copyright'|t }}
  </a>
  &nbsp;&copy;
  {{ def_date|date("Y") }}
  CERN</div>
</footer>
